﻿using System;
using System.Collections.Generic;
using System.Runtime.InteropServices;
using System.Text;
namespace LockAndCloseWindow
{
    class Program
    {
        private const uint WM_SYSCOMMAND = 0x112;                    //系统消息
        private const int SC_MONITORPOWER = 0xF170;                  //关闭显示器的系统命令
        private const int MonitorPowerOff = 2;                       //2为PowerOff, 1为省电状态，-1为开机
        private static readonly IntPtr HWND_BROADCAST = new IntPtr(0xffff);//广播消息，所有顶级窗体都会接收
        static void Main(string[] args)
        {
            LockWorkStation();//锁定屏幕
            System.Threading.Thread.Sleep(10);
            SendMessage(HWND_BROADCAST, WM_SYSCOMMAND, SC_MONITORPOWER, MonitorPowerOff);//关闭显示器
        }
        //锁定屏幕
        [DllImport("user32.dll")]
        public static extern bool LockWorkStation();
        //关闭显示器
        [DllImport("user32.dll")]
        private static extern IntPtr SendMessage(IntPtr hWnd, uint Msg, int wParam, int lParam);
    }
}